Package com.independentsoft.office.spreadsheet.pivotTables

# Enum Class PivotItemType

java.lang.Object
java.lang.Enum<PivotItemType>
com.independentsoft.office.spreadsheet.pivotTables.PivotItemType

All Implemented Interfaces:
  `Serializable`, `Comparable<PivotItemType>`, `Constable`

public enum PivotItemType extends Enum<PivotItemType>
The Enum PivotItemType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVERAGE`
  `BLANK`
  `COUNT`
  `COUNT_A`
  `DATA`
  `DEFAULT`
  `GRAND_TOTAL`
  `MAXIMUM`
  `MINIMUM`
  `NONE`
  `PRODUCT`
  `STANDARD_DEVIATION`
  `STANDARD_DEVIATION_POPULATION`
  `SUM`
  `VARIANCE`
  `VARIANCE_POPULATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PivotItemType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PivotItemType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AVERAGE

    public static final PivotItemType AVERAGE

  - ### BLANK

    public static final PivotItemType BLANK

  - ### COUNT

    public static final PivotItemType COUNT

  - ### COUNT_A

    public static final PivotItemType COUNT_A

  - ### DATA

    public static final PivotItemType DATA

  - ### DEFAULT

    public static final PivotItemType DEFAULT

  - ### GRAND_TOTAL

    public static final PivotItemType GRAND_TOTAL

  - ### MAXIMUM

    public static final PivotItemType MAXIMUM

  - ### MINIMUM

    public static final PivotItemType MINIMUM

  - ### PRODUCT

    public static final PivotItemType PRODUCT

  - ### STANDARD_DEVIATION_POPULATION

    public static final PivotItemType STANDARD_DEVIATION_POPULATION

  - ### STANDARD_DEVIATION

    public static final PivotItemType STANDARD_DEVIATION

  - ### SUM

    public static final PivotItemType SUM

  - ### VARIANCE

    public static final PivotItemType VARIANCE

  - ### VARIANCE_POPULATION

    public static final PivotItemType VARIANCE_POPULATION

  - ### NONE

    public static final PivotItemType NONE

- ## Method Details

  - ### values

    public static PivotItemType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PivotItemType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null